Set Card PIN
curl --request POST \
--url https://api.synctera.com/v1/cards/{card_id}/pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"pin": "1234"
}'import requests
url = "https://api.synctera.com/v1/cards/{card_id}/pin"
payload = { "pin": "1234" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pin: '1234'})
};
fetch('https://api.synctera.com/v1/cards/{card_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Cards
Set Card PIN
🚧 PCI Compliance This endpoint requires PCI compliance. If you are PCI compliant and want this endpoint enabled, please work with your Synctera representative.
Set a new PIN for a card
POST
/
cards
/
{card_id}
/
pin
Set Card PIN
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of a card
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
application/json
New PIN
The new PIN for the card
Example:
"1234"
Response
PIN has been set
Was this page helpful?
⌘I

